# Config

```lua
TZMCWeedRunConfig = {}

--[[

    INSTALLATION

    1.  Navigate to .../[qb]/qb-core/shared/items.lua
    2.  Scroll to the bottom of the item list and paste the following text - https://pastebin.com/H9871CzQ - It should look like this https://ibb.co/xDJ8zXB
    3.  Once added, navigate to .../[qb]/qb-inventory/html/images/ - Paste the following picture into the images folder https://ibb.co/tHsrbVW. Make sure the file is called 'clipboard.png'
    4.  Once added, navigate to .../[qb]/qb-inventory/html/js/app.js
    5.  Scroll down to around line 400 where you should see a function called 'FormatItemInfo'. Paste the following text before you see the words 'else if' - https://pastebin.com/f5mL0Tvy- It should look like this https://ibb.co/py3wYbH
    6.  You are now done, if you're having issues please contact hello@tzmc.dev and we can help out. 

]]--

-- JOB CONFIG --

TZMCWeedRunConfig.JobStartRequirement = {
    ["delivery_list"] = 1
}

TZMCWeedRunConfig.DeliveryItem = 'weed_brick'

TZMCWeedRunConfig.MaxDeliveries = 5
TZMCWeedRunConfig.PaymentType = 'cash'
TZMCWeedRunConfig.MinimumPayment = 1000
TZMCWeedRunConfig.MaximumPayment = 2000
TZMCWeedRunConfig.QuitCooldownTime = 120 -- When a player quits, they will need to wait this many seconds before being able to do another job. This prevents players from trying to get an easy delivery run by quitting and trying again every time.

-- POLICE CALL -- 

TZMCWeedRunConfig.PoliceCallProbability = 75 -- The percentage chance of the police getting called when the weed is being delivered. 0 being never called, 100 being called every time.
TZMCWeedRunConfig.PoliceMessageDetails = {
    title = 'Weed Delivery',
    description = 'There has been a weed delivery at this location'
}

-- COMAND -- 

TZMCWeedRunConfig.StopJobCommand = 'stopweedjob'
TZMCWeedRunConfig.StopJobCommandHelpText = "Stop the job you're currently on"

-- PROGRESS BAR --

TZMCWeedRunConfig.ProgressBarLabel = "Delivering weed"
TZMCWeedRunConfig.ProgressBarTime = 15 -- How many seconds does the player need to deliver the weed for

-- DELIVERY LIST --

TZMCWeedRunConfig.DeliveryListPaymentType = 'cash'
TZMCWeedRunConfig.DeliveryListPaymentCost = 1000

--[[

    NPC

    The StartJobNPC will select a random location on every load.

]]--

TZMCWeedRunConfig.StartJobNPC = {
    {
        x = -180.03,
        y = -1428.9,
        z = 31.31,
        h = 301.13,
        model = 'g_m_y_lost_01'
    },
    {
        x = 12.49,
        y = -1605.99,
        z = 29.4,
        h = 147.47,
        model = 'g_m_y_lost_01'
    },    
    {
        x = 226.83,
        y = -1776.36,
        z = 28.96,
        h = 326.48,
        model = 'g_m_y_lost_01'
    },
}

-- TARGET --

TZMCWeedRunConfig.StartJob = 'Start Job'
TZMCWeedRunConfig.DeliveryList = 'Buy Delivery List ($'..TZMCWeedRunConfig.DeliveryListPaymentCost..')'

-- NOTIFICATIONS --

TZMCWeedRunConfig.UseQBNotify = true
TZMCWeedRunConfig.NotificationEvent = "" -- If you're using your own notification system, enter the event here. If you leave this blank and set QBNotify to false this will use the FiveM chat to notify the player. The parameters are (text, status) Status can be either 'success' or 'error'.

TZMCWeedRunConfig.SuccessTitle = 'Success'
TZMCWeedRunConfig.ErrorTitle = 'Error'
TZMCWeedRunConfig.MissingStartJobItems = "How are you going to know who to deliver to?"
TZMCWeedRunConfig.AlreadyInJob = "You're in a job already"
TZMCWeedRunConfig.RecentlyQuitJob = "You recently quit a job"
TZMCWeedRunConfig.JobStarted = "Job started, head to the first delivery spot"
TZMCWeedRunConfig.NotInJob = "You're not in a job"
TZMCWeedRunConfig.NextDelivery = "Deliver the next package"
TZMCWeedRunConfig.CurrentPoint = "Delivery point"
TZMCWeedRunConfig.MissingItem = "You're missing the goods"
TZMCWeedRunConfig.NotEnoughCash = "You can't afford this."
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/weed-delivery-run/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
